# 獲取當前市場情緒

`GET` `/v1/quote/market_temperature`

> **行情權限要求 · 免費**
> 開通 OpenAPI 後自動獲得，無需額外購買。
> _OpenAPI 行情權限獨立於 App/Web 行情權限_

獲取指定市場的當前情緒溫度快照。評分範圍 0–100，數值越高表示市場越樂觀。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market` | string | Yes | 市場代碼，`HK`、`US`、`CN`、`SG` 之一。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/market_temperature?market=<market>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `temperature` | integer | No | 當前市場溫度（0–100）。 |
| `description` | string | No | 當前溫度的文字描述。 |
| `valuation` | integer | No | 估值分數。 |
| `sentiment` | integer | No | 情緒分數。 |
| `updated_at` | string | No | 更新時間（Unix 時間戳）。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "temperature": 70,
    "description": "Warm & rising quickly",
    "valuation": 59,
    "sentiment": 82,
    "updated_at": "1774317902"
  }
}
```
